Bug 189364 - Latest kernel is not finding RAID array and crashes on startup
Latest kernel is not finding RAID array and crashes on startup
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-19 10:51 EDT by Neil Squires
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-30 07:49:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of the startup error (844.19 KB, image/jpeg)
2006-04-20 15:43 EDT, Christoph Heimann
no flags Details
Snapshot of screen (1021.64 KB, image/jpeg)
2006-04-21 03:07 EDT, Neil Squires
no flags Details

  None (edit)
Description Neil Squires 2006-04-19 10:51:29 EDT
Description of problem:
When booting using kernel 2.6.16-1.2080_FC5 it fails to mount LVM 00 and errors.

Version-Release number of selected component (if applicable):
2.6.16-1.2080_FC5

How reproducible:
Every time I try to use that kernel

Steps to Reproduce:
1.Boot computer
2.Let grub use the default kernel
3.Kernel and initrd load then when trying to find VLM 00 it errors and goes into
a kernel panic
  
Actual results:
Computer hangs and has to be rebooted

Expected results:
Computer boots and runs FC5

Additional info:
Works ok with version 2.6.15-1.2054_FC5
Workstation is an AMD64
Kernel update was done using yum
Comment 1 Christoph Heimann 2006-04-20 15:25:37 EDT
I have the problem too. The new version (kernel-2.6.16-1.2096_FC5) also does not
work. I think the new kernel can't find the device or the mapped device. The bug
 not only exists in the x86_64 architecture. 
Comment 2 Christoph Heimann 2006-04-20 15:43:07 EDT
Created attachment 128061 [details]
Screenshot of the startup error
Comment 3 Neil Squires 2006-04-21 03:07:43 EDT
Created attachment 128075 [details]
Snapshot of screen

I can confirm that the bug is not fixed in the latest release of the kernal.
Both kernals are using Red Hat Nash 5.0.32
Comment 4 Marcus Schoen 2006-05-07 13:44:04 EDT
I have the same problem to with nv_sata driver and I confirm too that it doen't
work with the kernels 2080 / 2096 / 2111

Does somebody know when Red Hat Nash 5.0.32 will be updated???
Or RedHat only update it in the Fedora version (ver 6 in september)
Comment 5 Roy-Magne Mo 2006-09-21 14:48:22 EDT
Check if this solves your problem:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=207474
Comment 6 Dave Jones 2006-10-16 17:06:30 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 7 Neil Squires 2006-10-30 07:49:35 EST
(In reply to comment #0)
> Description of problem:
> When booting using kernel 2.6.16-1.2080_FC5 it fails to mount LVM 00 and errors.
> 
> Version-Release number of selected component (if applicable):
> 2.6.16-1.2080_FC5
> 
> How reproducible:
> Every time I try to use that kernel
> 
> Steps to Reproduce:
> 1.Boot computer
> 2.Let grub use the default kernel
> 3.Kernel and initrd load then when trying to find VLM 00 it errors and goes into
> a kernel panic
>   
> Actual results:
> Computer hangs and has to be rebooted
> 
> Expected results:
> Computer boots and runs FC5
> 
> Additional info:
> Works ok with version 2.6.15-1.2054_FC5
> Workstation is an AMD64
> Kernel update was done using yum

I have tried to re-install FC5 and FC6 after moving the raid array to the SIS
3114R controller on the same motherboard and I am unable to install either FC
version. I have not been able to test this bug to see if it has been resolved
under the new kernel.
Comment 8 Neil Squires 2006-11-04 23:52:13 EST
Have reconfigure the machine and tried with kernel 2.6.18-2200. It still cannot
find VLM00

Note You need to log in before you can comment on or make changes to this bug.